
TYPO3.Flow - Bug # 29694

Status: Resolved Priority: Must have
Author: Torsten no-lastname-given Category: Resource
Created: 2011-09-12 Assigned To: Karsten Dambekalns
Updated: 2012-05-11 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: \TYPO3\FLOW3\Resource\Resource is missing the __toString Method
Description

Hi,
the __toString method mentioned here:

http://flow3.typo3.org/fileadmin/manual/nightly/TheDefinitiveGuide/PartIII/ResourceManagement.html

is currently not present.

Would be great if someone could add this:

public function __toString() {
  return (string)$this->getResourcePointer();
}

So the described functionality 

file_get_contents('resource://' . $resource); 

will work.

Associated revisions
Revision 8cdaae41 - 2012-05-08 18:16 - Karsten Dambekalns

[FEATURE] Add __toString() and make Resource use more convenient

To use a Resource with file operations, one can use the
resource:// scheme and the __toString() method of any
ResourcePointer.

To make this a little easier, this change adds two new
methods to the Resource class:

__toString() returns the SHA1 of the ResourcePointer the
Resource is holding (as is documented for ages).
getUri() returns a ready-to-use resource://<sha1> URI of
the ResourcePointer the Resource is holding.

Change-Id: Ie3cb01214c924c8e79ae5a997dc15e3679940e86
Fixes: #29694
Resolves: #34177
Releases: 1.0, 1.1

Revision 8c7ec51b - 2012-05-09 15:48 - Karsten Dambekalns

[FEATURE] Add __toString() and make Resource use more convenient

To use a Resource with file operations, one can use the
resource:// scheme and the __toString() method of any
ResourcePointer.

To make this a little easier, this change adds two new
methods to the Resource class:

__toString() returns the SHA1 of the ResourcePointer the
Resource is holding (as is documented for ages).

getUri() returns a ready-to-use resource://<sha1> URI of
the ResourcePointer the Resource is holding.

Change-Id: Iec342eae0662b89eaf1d281fcab26ebb94ef7c61
Fixes: #29694
Resolves: #34177
Releases: 1.0, 1.1

History
#1 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#2 - 2012-01-04 20:59 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0.3
- Has patch set to No

#3 - 2012-03-07 17:08 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9145

#4 - 2012-03-07 18:52 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4
#5 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#6 - 2012-05-08 18:16 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9145

#7 - 2012-05-08 18:18 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9145

#8 - 2012-05-09 02:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8cdaae41c0af199402358e2171766af14f9379e9.

#9 - 2012-05-09 15:49 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11106

#10 - 2012-05-11 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:8c7ec51b5a0e90a859c102fde6f5f0859babed1a.

2015-08-03 3/3

http://review.typo3.org/9145
http://review.typo3.org/9145
http://review.typo3.org/11106

